/*
 *  Copyright (C) 2002-2005 Akira Nukada
 *  Copyright (C) 2002-2005 The SSI Project. All rights reserved.
 *  http://ssi.is.s.u-tokyo.ac.jp
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY.  See the COPYING file for the precise
 *  terms and conditions for the use of this software.
 */
#ifndef _FFTW3COMPAT_H
#define _FFTW3COMPAT_H      
#include "fftss.h"

#define fftw_plan            fftss_plan
#ifdef _Complex_I
typedef double _Complex fftw_complex;
#else
typedef double fftw_complex[2];
#endif

#define FFTW_FORWARD           FFTSS_FORWARD
#define FFTW_BACKWARD          FFTSS_BACKWARD

#define FFTW_MEASURE           FFTSS_MEASURE
#define FFTW_DESTROY_INPUT     FFTSS_DESTROY_INPUT
#define FFTW_UNALIGNED         FFTSS_UNALIGNED
#define FFTW_CONSERVE_MEMORY   FFTSS_CONSERVE_MEMORY
#define FFTW_EXHAUSTIVE        FFTSS_EXHAUSTIVE
#define FFTW_PATIENT           FFTSS_PATIENT
#define FFTW_ESTIMATE          FFTSS_ESTIMATE
#define FFTW_PRESERVE_INPUT    FFTSS_PRESERVE_INPUT

#define FFTW_NO_SIMD           FFTSS_NO_SIMD

#define fftw_malloc          fftss_malloc
#define fftw_free            fftss_free

#define fftw_plan_dft_1d(n, i, o, s, f)  \
        fftss_plan_dft_1d(n, (double*)(i), (double *)(o), s, f)
#define fftw_destroy_plan    fftss_destroy_plan

#define fftw_execute         fftss_execute
#define fftw_execute_dft(p, i, o) \
        fftss_execute_dft(p, (double *)(i), (double *)(o))

#endif

